# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 3.3.0 - 2022-06-30

### Modules added

  - Module "ej.library.iot.hoka" added (v5.1.0)
  - Module "ej.library.iot.restserver" added (v4.1.0)
  - Module "ej.library.iot.wifi-util" added (v2.0.0)
  - Module "ej.api.drawing" new version added (v1.0.4)
  - Module "ej.tool.frontpanel.framework" new version added (v1.1.1)
  - Module "ej.tool.frontpanel.widget" new version added (v2.1.0)

## 3.2.0 - 2022-06-22

### Modules added

  - Module "com.microej.pack.net-addons" added (v2.5.3).
  - Module "com.microej.clibrary.llimpl.display-dma2d" new version added (v2.0.1)
  - Module "com.microej.library.runtime.binary-nls" added (v2.4.2)
  - Module "com.microej.library.runtime.binary-nls-processor" added (v2.4.2)

## 3.1.0 - 2022-05-17

### Modules added

  - Module "com.microej.pack.net" added (v9.3.0)
  - Module "com.microej.pack.net" added (v9.4.0)
  - Module "com.microej.pack.net" added (v9.4.1)
  - Module "com.microej.pack.net" added (v10.0.0)
  - Module "com.microej.pack.net" added (v10.1.0)
  - Module "com.microej.pack.net.net-1_1-testsuite" added (v4.1.1)
  - Module "com.microej.pack.net.net-1_1-testsuite-openjdk" added (v1.1.1)
  - Module "com.microej.pack.net.net-1_1-testsuite-wifi" added (v2.1.1)
  - Module "com.microej.pack.net.net-1_1-testsuite-ethernet" added (v1.0.0)
  - Module "com.microej.pack.net.net-ssl-2_2-testsuite" added (v4.0.1)
  - Module "com.microej.pack.net.net-ssl-2_2-testsuite-openjdk" added (v1.0.1)
  - Module "com.microej.pack.ui.ui-pack" new version added (v13.2.0)
  - Module "ej.api.edc" added (v1.3.1)
  - Module "ej.api.edc" added (v1.3.5)
  - Module "ej.api.bon" added (v1.4.1)
  - Module "ej.api.kf" added (v1.6.1)
  - Module "ej.api.microui" new version added (v3.1.1)
  - Module "ej.api.sni" added (v1.4.2)
  - Module "ej.api.security" added (v1.4.1)
  - Module "org.apacke.jakarta-regexp" added (v1.0.1)
  - Module "com.microej.library.runtime.string-regex" added (v1.0.1)
  - Module "com.microej.library.runtime.string-format" added (v1.0.0)
  - Module "ej.library.runtime.basictool" new version added (v1.7.0)
  - Module "com.microej.clibrary.llimpl.microui" new version added (v1.1.1)
  - Module "com.microej.clibrary.llimpl.display-dma2d" new versions added (v1.0.8 and v2.0.0)
  - Module "ej.library.runtime.nls" added (v3.1.0)
  - Module "ej.library.eclasspath.base64" added (v1.2.0)
  - Module "ej.library.eclasspath.biginteger" new version added (v1.2.1)
  - Module "ej.library.eclasspath.executor" new version added (v1.3.0)
  - Module "com.microej.tool.class-extender" added (v1.0.4)

## 3.0.0 - 2022-01-13

### Modules added

  - Module "ej.library.iot.micropaho" added (v1.0.0)
  - Module "ej.library.iot.aws-iot" added (v2.0.0)
  - Module "ej.library.iot.hoka" added (v8.3.5)
  - Module "ej.library.eclasspath.io" added (v1.2.1)
  - Module "ej.api.trace" added (v1.1.1)
  - Module "ej.library.iot.websocket" added (v2.0.1)
  - Module "ej.library.iot.websocket-secure" added (v2.0.1)
  - Module "ej.library.iot.android-connectivity" added (v1.3.0)
  - Module "ej.library.iot.connectivity" added (v3.0.0)
  - Module "com.microej.pack.fs" added (v6.0.2)
  - Module "com.microej.pack.net-addons" added (v2.5.2)
  - Module "ej.api.ecom-wifi" added (v2.2.2)
  - Module "ej.api.security" added (v1.3.2)

### Modules removed

Removed modules have been transferred to the [Developer Repository](https://docs.microej.com/en/latest/overview/repository.html#developer-repository).
 
  - Module "ej.library.wadapps.wadapps" removed (v2.1.1)
  - Module "ej.library.wadapps.wadapps-common" removed (v1.1.1)
  - Module "ej.library.wadapps.wadapps-multisandbox" removed (v1.3.2)
  - Module "ej.library.wadapps.wadapps-monosandbox" removed (v1.1.1)
  - Module "ej.library.wadapps.applicationstore-connection-info" removed (v1.1.0)
  - Module "ej.library.wadapps.framework" removed (v1.11.0)
  - Module "ej.tool.addon.wadapps.wadapps-processor" removed (v2.1.1)
  - Module "ej.tool.addon.wadapps.monosandbox-processor" removed (v1.1.0)
  - Module "com.is2t.tools.wadapps-console-comm-extension" removed (v1.6.0)
  - Module "com.is2t.tools.wadapps-localdeploy-comm-extension"removed (v1.2.0)
  - Module "com.is2t.tools.wadapps-localdeploy-socket-extension" removed (v3.0.0)
  - Module "com.is2t.tools.wadapps-localdeploy-resident-launcher" removed (v1.1.5)
  - Module "com.is2t.tools.wadapps-console-socket-extension" removed (v1.9.0)
  - Module "com.is2t.tools.application-repository-extension" removed (v1.0.3)
  - Module "com.is2t.tools.wadapps-firmware-customizer-extension" removed (v1.2.2)
  - Module "com.is2t.tools.wadapps-localdeploy-wpk-comm-extension" removed (v1.1.0)
  - Module "com.is2t.tools.wadapps-localdeploy-wpk-socket-extension" removed (v1.1.0)
  - Module "com.microej.app.wadapps.commandserver-socket" removed (v1.14.0)
  - Module "com.microej.app.wadapps.commandserver-comm" removed (v1.9.0)
  - Module "com.microej.app.management" removed (v3.2.0)
  - Module "com.microej.library.wadapps.storage-kf" removed (v1.3.1)
  - Module "com.microej.library.wadapps.connectivity" removed (v1.3.0)
  - Module "com.microej.library.wadapps.management" removed (v3.2.0)
  - Module "com.microej.library.wadapps.property-loader" removed (v2.1.0)
  - Module "com.microej.library.wadapps.launcher-util" removed (v3.4.0)
  - Module "com.microej.library.wadapps.metadata-provider" removed (v1.2.0)
  - Module "com.microej.library.wadapps.wadapps-rcommand" removed (v3.1.0)
  - Module "com.microej.library.wadapps.wadapps-rcommand-impl" removed (v1.2.0)
  - Module "com.microej.library.wadapps.kernel.common-api" removed (v1.8.0)
  - Module "ej.library.iot.basedriver.basedriver-api" removed (v1.1.0)
  - Module "ej.library.iot.basedriver.basedriver-event" removed (v1.1.0)
  - Module "ej.library.iot.basedriver.basedriver-framework" removed (v1.1.0)
  - Module "ej.library.iot.basedriver.basedriver-util" removed (v1.1.0)
  - Module "ej.library.iot.basedriver.zwave" removed (v1.2.0)
  - Module "com.microej.pack.hal" removed (v2.0.1)
  - Module "com.microej.pack.hal" removed (v2.0.2)
  - Module "com.microej.demo.headless.thermorest" removed (v1.0.0)
  - Module "ej.library.iot.data.cbor" removed (v1.2.0)
  - Module "ej.library.iot.data.channel-api" removed (v1.1.1)
  - Module "ej.library.iot.data.data-api" removed (v1.0.3)
  - Module "ej.library.iot.data.data-common" removed (v1.1.1)
  - Module "ej.library.iot.data.json" removed (v1.2.0)
  - Module "ej.library.iot.data.pubsub-api" removed (v1.2.0)
  - Module "ej.library.iot.data.pubsub-paho" removed (v1.1.0)
  - Module "com.microej.kernelapi.basictool" removed (v1.1.0)
  - Module "com.microej.kernelapi.basictool" removed (v1.2.0)
  - Module "com.microej.kernelapi.bon" removed (v1.1.1)
  - Module "com.microej.kernelapi.connectivity" removed (v1.3.0)
  - Module "com.microej.kernelapi.ecom" removed (v1.0.4)
  - Module "com.microej.kernelapi.ecom-comm" removed (v1.0.4)
  - Module "com.microej.kernelapi.edc" removed (v1.0.6)
  - Module "com.microej.kernelapi.hal" removed (v1.0.6)
  - Module "com.microej.kernelapi.kf" removed (v2.0.3)
  - Module "com.microej.kernelapi.microui" removed (v2.1.0)
  - Module "com.microej.kernelapi.microui" removed (v3.0.0)
  - Module "com.microej.kernelapi.microui" removed (v3.1.0)
  - Module "com.microej.kernelapi.mwt" removed (v2.1.0)
  - Module "com.microej.kernelapi.net" removed (v1.2.2)
  - Module "com.microej.kernelapi.observable" removed (v1.0.0)
  - Module "com.microej.kernelapi.property" removed (v1.1.0)
  - Module "com.microej.kernelapi.service" removed (v1.1.0)
  - Module "com.microej.kernelapi.ssl" removed (v1.1.0)
  - Module "com.microej.kernelapi.storage" removed (v1.1.0)
  - Module "com.microej.kernelapi.wadapps" removed (v2.1.2)
  - Module "com.microej.pack.bluetooth.bluetooth-kernelapi" removed (v2.0.0)
  - Module "com.microej.pack.bluetooth.bluetooth-kernelapi" removed (v2.1.0)
  - Module "com.microej.library.signature" removed (v1.0.1)
  - Module "com.microej.library.security.command-unwrapper-api" removed (v1.0.1)
  - Module "com.microej.library.security.command-unwrapper-no-verify" removed (v1.0.0)
  - Module "com.microej.library.security.util-der" removed (v1.0.2)
  - Module "ej.api.gnss" removed (v0.9.1)
  - Module "ej.api.gnss" removed (v1.0.0)
  - Module "ej.api.audio" removed (v0.9.1)
  - Module "com.microej.example.wifi.setup" removed (v1.0.0")
  - Module "com.microej.example.wifi.setup" removed (v1.0.1")
  - Module "com.microej.example.wifi.setup-rest" removed (v1.0.0")
  - Module "com.microej.example.wifi.setup-web" removed (v1.0.0")
  - Module "com.microej.library.profiling" removed (v0.6.0)
  - Module "ej.library.util.filemanager" removed (v1.1.0)
  - Module "ej.library.util.filemanager-fs" removed (v1.2.0)
  - Module "ej.library.util.filemanager-ram" removed (v1.1.0)
  - Module "ej.library.ui.automaton" removed (v3.1.0)
  - Module "ej.library.ui.events-watcher" removed (v2.1.0)
  - Module "ej.library.ui.microej-colors" removed (v1.0.0)
  - Module "ej.library.ui.watchdog" removed (v2.1.0)
  - Module "ej.library.ui.giml.element-annotations" removed (v1.1.0)
  - Module "ej.library.util.firmwareupdate" removed (v1.1.0)
  - Module "com.microej.api.esp_idf" removed (v1.0.1)
  - Module "com.microej.clibrary.llimpl.esp_idf" removed (v1.1.1)
  - Module "googlecloud.iotcore.gcp-iotcore-client" removed (v1.2.2)
  - Module "googlecloud.iotcore.gcp-iotcore-service" removed (v1.0.1)
  - Module "ej.library.iot.aws.aws-iot" removed (v1.2.0)
  - Module "com.google.protobuf" removed (v2.6.0)
  - Module "ej.library.ui.widget" removed (v2.4.1)
  - Module "ej.library.ui.widget" removed (v2.4.2)
  - Module "ej.library.iot.access-control" removed (v1.0.0)
  - Module "ej.library.util.map" removed (v1.1.0)
  - Module "com.microej.library.util.kf-util-ecom" removed (v1.0.1)
  - Module "org.eclipse.paho.mqttv3-microej" removed (v1.5.0)
  - Module "org.eclipse.paho.mqttv3-microej" removed (v1.7.0)
  - Module "org.eclipse.paho.mqttv3-microej" removed (v1.9.0)
  - Module "org.eclipse.paho.mqttv3-ssl-microej" removed (v3.2.0)
  - Module "org.eclipse.paho.mqttv3-ssl-microej" removed (v3.4.0)
  - Module "org.eclipse.paho.mqttv3-ssl-microej" removed (v3.6.0)
  - Module "ej.tool.frontpanel.widget-microui" removed (v1.0.0)
  - Module "ej.tool.frontpanel.widget-microui" removed (v2.1.1)
  - Module "ej.library.runtime.components" removed (v3.3.0)
  - Module "ej.library.runtime.components" removed (v3.4.0)
  - Module "ej.library.runtime.property-loader" removed (v3.1.0)
  - Module "ej.api.hal" removed (v1.0.4)
  - Module "ej.tool.addon.wadapps.framework-processor" removed (v1.11.0)
  - Module "ej.library.util.dateformat" removed (v1.1.0)
  - Module "ej.tool.frontpanel.widget" removed (v1.0.1)  

## 2.16.0 - 2021-10-19

### Modules added

  - Module "com.microej.library.runtime.nls-po" added (v2.3.0)
  - Module "com.microej.library.runtime.nls-po-processor" added (v2.3.0)
  - Module "com.microej.pack.bluetooth-bluetooth-impl" added (v2.2.1)
  - Module "com.microej.pack.bluetooth-bluetooth-llapi" added (v2.0.2)
  - Module "com.microej.pack.bluetooth.bluetooth-pack" added (v2.2.1)
  - Module "com.microej.tool.nls-po-external-loader" added (v2.3.0)
  - Module "com.microej.tool.nls-po-crowdin" added (v1.0.0)
  - Module "ej.library.eclasspath.biginteger" added (v1.2.0)
  - Module "ej.library.eclasspath.bitset" added (v1.2.0)
  - Module "ej.library.eclasspath.collections" added (v1.4.1)
  - Module "ej.library.eclasspath.formatter" added (v2.3.0)
  - Module "ej.library.eclasspath.httpclient" added (v1.5.0)
  - Module "ej.library.eclasspath.httpsclient" added (v1.3.0)
  - Module "ej.library.eclasspath.logging" added (v1.2.0)
  - Module "ej.library.eclasspath.math" added (v1.3.0)
  - Module "ej.library.eclasspath.properties" added (v1.2.0)
  - Module "ej.library.eclasspath.uri" added (v1.2.0)
  - Module "ej.library.eclasspath.url" added (v1.2.1)
  - Module "ej.library.eclasspath.urlutil" added (v1.2.0)
  - Module "org.json.me.json" added (v1.4.0)
  - Module "ej.library.runtime.message" added (v2.2.0)
  - Module "ej.library.util.concurrent-executor" added (v1.3.0)
  - Module "com.microej.pack.fs.fs-testsuite" added (v3.0.5)
  - Module "com.microej.pack.fs" added (v6.0.1)
  - Module "ej.library.ui.mwt" new version added (v3.3.0)
  - Module "ej.library.ui.widget" new version added (v4.1.0)
  - Module "ej.api.ecom-network" added (v2.1.1)
  - Module "ej.api.edc" new version added (v1.3.4)
  - Module "ej.api.ssl" new version added (v2.2.1)
  - Module "ej.library.iot.wifi-util" new version added (v2.1.1)
  - Module "ej.library.util.dateformat" new version added (v1.1.1)

## 2.15.0 - 2021-07-29

### Modules added

  - Module "com.microej.app.wadapps.commandserver-comm" added (v1.9.0)
  - Module "com.microej.app.wadapps.commandserver-socket" added (v1.14.0)
  - Module "com.microej.clibrary.llimpl.watchdog-timer-generic" added (v3.0.1)
  - Module "com.microej.clibrary.llimpl.watchdog-timer-realtek-amebad" added (v2.0.1)
  - Module "com.microej.clibrary.platform.watchdog-timer-checkpoint-freertos" added (v2.0.1)
  - Module "com.microej.library.wadapps.launcher-util" added (v3.4.0)
  - Module "ej.api.drawing" added (v1.0.3)
  - Module "ej.api.microui" added (v3.1.0)
  - Module "ej.api.watchdog-timer" added (v2.0.0)
  - Module "com.microej.pack.ui.ui-pack" added (v13.0.7)
  - Module "com.microej.pack.ui.ui-pack" added (v13.1.0)
  - Module "com.microej.clibrary.llimpl-microui" added (v1.1.0)
  - Module "com.microej.library.wadapps.metadata-provider" added (v1.2.0)
  - Module "com.microej.library.wadapps.property-loader" added (v2.1.0)
  - Module "com.microej.library.wadapps.storage-kf" added (v1.3.1)
  - Module "com.microej.library.wadapps.wadapps-rcommand added (v3.1.0)
  - Module "com.microej.library.wadapps.wadapps-rcommand-impl added (v1.2.0)
  - Module "com.microej.pack.bluetooth.bluetooth-mock-net" added (v2.0.3)
  - Module "com.microej.pack.bluetooth.bluetooth-mock-stub" added (v2.0.2)
  - Module "com.microej.pack.bluetooth.bluetooth-pack" added (v2.1.2)
  - Module "com.microej.pack.bluetooth.bluetooth-testsuite" added (v2.0.1)
  - Module "com.microej.pack.bluetooth.bluetooth-wbe" added (v2.0.2)
  - Module "com.microej.pack.watchdog-timer.watchdog-timer-impl" added (v3.0.1)
  - Module "com.microej.pack.watchdog-timer.watchdog-timer-llapi" added (v3.0.0)
  - Module "com.microej.pack.watchdog-timer.watchdog-timer-mock" added (v3.0.1)
  - Module "com.microej.pack.watchdog-timer.watchdog-timer-pack" added (v2.0.1)
  - Module "com.microej.pack.watchdog-timer.watchdog-timer-testsuite" added (v3.0.0)
  - Module "ej.api.bluetooth" added (v2.1.1)
  - Module "ej.library.iot.rcommand" added (v2.3.2)
  - Module "ej.library.iot.rcommand" added (v2.10.1)
  - Module "ej.library.iot.rcommand-comm" added (v1.1.0)
  - Module "ej.library.iot.rcommand-connectivity" added (v0.2.0)
  - Module "ej.library.iot.rcommand-serversocket" added (v2.5.0)
  - Module "ej.library.iot.rcommand-bluetooth-controller" added (v1.1.0)
  - Module "ej.library.iot.rcommand-bluetooth-host" added (v1.0.1)
  - Module "ej.api.fs" added (v2.1.1)
  - Module "ej.library.runtime.storage" added (v1.2.0)
  - Module "ej.library.runtime.storage-fs" added (v1.2.0)
  - Module "ej.library.wadapps.wadapps" added (v2.1.1)
  - Module "ej.library.wadapps.wadapps-common" added (v1.1.1)
  - Module "ej.library.wadapps.wadapps-multisandbox" added (v1.3.2)
  - Module "ej.library.wadapps.wadapps-monosandbox" added (v1.1.1)
  - Module "ej.tool.addon.wadapps.wadapps-processor" added (v2.1.1)
  - Module "ej.tool.addon.wadapps.monosandbox-processor" added (v1.1.0)
  - Module "com.microej.kernelapi.basictool" added (v1.2.0)
  - Module "com.microej.kernelapi.property" added (v1.1.0)
  - Module "com.microej.kernelapi.service" added (v1.1.0)
  - Module "com.microej.kernelapi.storage" added (v1.1.0)
  - Module "com.microej.kernelapi.wadapps" added (v2.1.2)
  - Module "com.microej.kernelapi.microui" added (v3.0.0)
  - Module "com.microej.kernelapi.microui" added (v3.1.0)
  - Module "com.microej.pack.net-addons" added (v2.5.1)
  - Module "ej.api.ecom-network" added (v2.1.0)
  - Module "ej.api.ecom-wifi" added (v2.2.1)
  - Module "ej.library.iot.hoka" added (v8.3.4)
  - Module "org.eclipse.paho.pqttv3-microej" added (v1.9.0)
  - Module "org.eclipse.paho.mqttv3-ssl-microej" added (v3.6.0)

## 2.14.0 - 2021-06-15

### Modules added

  - Module "ej.library.eclasspath.base64" added (v1.2.0)
  - Module "ej.library.eclasspath.collections" added (v1.4.0)
  - Module "ej.library.eclasspath.io" added (v1.2.0)
  - Module "ej.library.eclasspath.stringtokenizer" added (v1.2.0)
  - Module "ej.library.runtime.basictool" added (v1.6.0)
  - Module "ej.library.runtime.property" added (v4.1.0)
  - Module "ej.library.iot.hoka" added (v8.3.3)

## 2.13.0 - 2021-05-19

### Modules added

  - Module "ej.library.eclasspath.executor" new version added (v1.1.1)
  - Module "ej.library.ui.mwt" new version added (v3.2.1)
  - Module "ej.library.ui.widget" new version added (v4.0.0)

## 2.12.0 - 2021-03-31

### Modules added

  - Module "ej.api.sp" new version added (v2.0.4)
  - Module "ej.api.sni" new version added (v1.4.1)
  - Module "ej.api.kf" new version added (v1.5.1)
  - Module "ej.api.net" new version added (v1.1.2)
  - Module "ej.library.eclasspath.executor" new version added (v1.2.1)
  - Module "ej.library.iot.net-util" new version added (v1.4.0)
  - Module "ej.library.iot.sntpclient" new versions added (v1.2.0, v1.3.0)
  - Module "com.microej.pack.ui.ui-pack" added (v13.0.6)
  - Module "ej.api.microui" added (v3.0.4)
  - Module "ej.library.ui.mwt" new version added (v3.2.0)
  - Module "ej.library.util.observable" new version added (v2.0.0)
  - Module "com.microej.kernelapi.mwt" new version added (v2.1.0)
  - Module "com.microej.kernelapi.observable" new version added (v1.0.0)
  - Module "com.microej.library.util.kf-util" new version added (v2.6.0)
  - Module "com.microej.clibrary.thirdparty.systemview-freertos10" added (v1.1.1)

## 2.11.0 - 2021-03-01

### Modules added

  - Module "ej.library.iot.websocket-secure" new version added (v2.0.0)

## 2.10.0 - 2021-02-26

### Modules added

  - Module "ej.library.iot.websocket" new version added (v2.0.0)
  - Module "ej.library.ui.motion" new version added (v4.0.0)

## 2.9.0 - 2021-02-04

### Modules added

  - Module "com.microej.pack.ui.ui-pack" added (v13.0.4)
  - Module "ej.library.iot.connectivity" added (v2.1.1)

### Modules moved

The following modules are moved to MicroEJ Evaluation Architectures repository `1.1.0`.

  - Module "com.microej.architecture.ESP32.esp_idf-impl" (v1.1.1)
  - Module "com.microej.architecture.ESP32.esp_idf-mock" (v1.1.2)

## 2.8.0 - 2021-01-22

### Modules added

  - Module "com.google.protobuf3" added (v1.0.0)
  - Module "com.microej.app.management" added (v3.2.0)
  - Module "com.microej.library.util.kf-util" added (v2.5.0)
  - Module "com.microej.library.wadapps.connectivity" new version added (v1.3.0)
  - Module "com.microej.library.wadapps.kernel.common-api" added (v1.8.0)
  - Module "com.microej.library.wadapps.management" added (v3.2.0)
  - Module "com.microej.pack-net" added (v9.2.2)
  - Module "com.microej.pack-hal" added (v2.0.1)
  - Module "ej.library.eclasspath.logging" new version added (v1.0.3)
  - Module "ej.library.iot.bluetooth-util" new version added (v1.1.0)
  - Module "ej.library.runtime.basictool" new version added (v1.2.2)
  - Module "ej.library.ui.mwt" new version added (v3.1.2)
  - Module "ej.library.ui.widget" new version added (v3.1.1)

## 2.7.0 - 2020-12-04

### Modules added

  - Module "ej.api-bluetooth" added (v2.1.0)
  - Module "ej.api.microui" new version added (v3.0.3)
  - Module "ej.api.drawing" added (v1.0.2)
  - Module "ej.library.ui-mwt" added (v3.1.1)
  - Module "com.microej.pack.bluetooth-bluetooth-pack" added (v2.1.0)
  - Module "com.microej.pack.bluetooth-bluetooth-impl" added (v2.1.0)
  - Module "com.microej.pack.bluetooth-bluetooth-kernelapi" added (v2.1.0)
  - Module "com.microej.pack-net" added (v9.2.3)
  - Module "com.microej.pack-net-addons" added (v2.3.0)
  - Module "com.microej.pack-hal" added (v2.0.2)
  - Module "ej.api-device" added (v1.1.0)
  - Module "com.microej.pack.device-device-pack" added (v1.1.1)
  - Module "com.microej.pack.device-device-impl" added (v2.0.1)
  - Module "com.microej.pack.device-device-llapi" added (v2.0.1)
  - Module "com.microej.pack.device-device-mock" added (v2.0.1)
  - Module "com.microej.pack.device-device-wbe" added (v1.4.1)
  - Module "com.microej.pack-fs" added (v4.0.3)
  - Module "com.microej.pack-fs" added (v5.1.2)
  - Module "com.microej.pack.ui.ui-pack" added (v13.0.3)
  - Module "com.microej.api-esp_idf" added (v1.0.1)
  - Module "com.microej.architecture.ESP32-esp_idf-impl" added (v1.1.1)
  - Module "com.microej.architecture.ESP32-esp_idf-mock" added (v1.1.2)
  - Module "com.microej.clibrary.llimpl-esp_idf" added (v1.1.1)
  - Module "com.microej.clibrary.llimpl-trace-systemview" added (v2.1.1)
  - Module "com.microej.clibrary.llimpl-microui" added (v1.0.3)
  - Module "com.microej.clibrary.llimpl-display-dma2d" added (v1.0.6)
  - Module "com.microej.clibrary.thirdparty-systemview" added (v1.3.1)
  - Module "com.microej.clibrary.platform-osal-headers" added (v0.2.1)
  - Module "com.microej.clibrary.platform-osal-FreeRTOS" added (v0.2.2)
  - Module "com.microej.clibrary.platform-async_select" added (v2.0.2)
  - Module "com.microej.clibrary.platform-bsp-microej-async-worker" added (v0.2.1)

### Modules upgraded

  - Module "com.microej.pack.fs-fs-testsuite" upgraded from 3.0.2 to 3.0.3

## 2.6.0 - 2020-10-06

### Modules added

  - Module "com.is2t.tools.application-repository-extension" added (v1.0.3)
  - Module "com.is2t.tools.wadapps-console-socket-extension" added (v1.9.0)
  - Module "com.is2t.tools.wadapps-firmware-customizer-extension" added (v1.2.2)
  - Module "com.is2t.tools.wadapps-localdeploy-resident-launcher" added (v1.1.5)
  - Module "com.is2t.tools.wadapps-localdeploy-socket-extension" added (v3.0.0)
  - Module "com.is2t.tools.wadapps-localdeploy-wpk-comm-extension" added (v1.1.0)
  - Module "com.microej.library.security.command-unwrapper-api" added (v1.0.1)
  - Module "com.microej.library.security.command-unwrapper-no-verify" added (v1.0.0)
  - Module "com.microej.library.security.util-der" added (v1.0.2)
  - Module "com.microej.library.wadapps.connectivity" added (v1.2.0)
  - Module "com.microej.library.wadapps.management" added (v3.1.0)
  - Module "com.microej.pack.bluetooth.bluetooth-impl" added (v2.0.0)
  - Module "com.microej.pack.bluetooth.bluetooth-kernelapi" added (v2.0.0)
  - Module "com.microej.pack.bluetooth.bluetooth-llapi" added (v2.0.0)
  - Module "com.microej.pack.bluetooth.bluetooth-mock-net" added (v2.0.1)
  - Module "com.microej.pack.bluetooth.bluetooth-mock-stub" added (v2.0.1)
  - Module "com.microej.pack.bluetooth.bluetooth-pack" added (v2.0.1)
  - Module "com.microej.pack.bluetooth.bluetooth-testsuite" added (v2.0.0)
  - Module "com.microej.pack.bluetooth.bluetooth-wbe" added (v2.0.1)
  - Module "com.microej.pack.fs.fs-testsuite" added (v3.0.2)
  - Module "com.microej.pack.ui.ui-pack" added (v13.0.0)
  - Module "com.microej.pack.ui.ui-pack" added (v13.0.1)
  - Module "ej.api.drawing" added (v1.0.0)
  - Module "ej.library.iot.rcommand" added (v2.10.0)
  - Module "ej.library.iot.rcommand-bluetooth-host" added (v1.0.0)
  - Module "ej.library.runtime.service" added (v1.1.1)

### Modules Updated

  - Module "ej.api.bluetooth" new version added (v2.0.0)
  - Module "ej.api.device" new version added (v1.1.0)
  - Module "ej.api.edc" new version added (v1.3.2)
  - Module "ej.api.edc" new version added (v1.3.3)
  - Module "ej.api.gnss" new version added (v1.0.0)
  - Module "ej.api.microui" new version added (v3.0.0)
  - Module "ej.api.microui" new version added (v3.0.1)
  - Module "ej.library.iot.websocket" new version added (v1.1.1)
  - Module "ej.library.iot.websocket-secure" new version added (v1.1.1)
  - Module "ej.library.runtime.basictool" new version added (v1.5.0)
  - Module "ej.library.runtime.components" new version added (v3.4.0)
  - Module "ej.library.test.junit" new version added (v1.7.0)
  - Module "ej.library.test.junit" new version added (v1.7.1)
  - Module "ej.library.ui.mwt" new version added (v3.1.0)
  - Module "ej.library.ui.widget" new version added (v3.1.0)
  - Module "ej.tool.addon.test.junit-processor" new version added (v1.7.0)
  - Module "ej.tool.addon.test.junit-processor" new version added (v1.7.1)
  - Module "ej.tool.frontpanel.framework" new version added (v1.1.0)
  - Module "ej.tool.frontpanel.widget" new version added (v2.0.0)
  - Module "ej.tool.frontpanel.widget-microui" new version added (v2.1.1)
  - Module "org.eclipse.paho.pqttv3-microej" new version added (v1.7.0)
  - Module "org.eclipse.paho.mqttv3-ssl-microej" new version added (v3.4.0)

## 2.5.0 - 2020-02-20

### Features Updated

  - Artifact "com.microej.example.wifi.setup" new version added (v1.0.1)
  - Artifact "ej.api.bluetooth" new version added (v1.0.2)
  - Artifact "ej.library.ui.widget" new version added (v2.4.2)
  - Artifact "ej.library.test.junit" new version added (v1.6.2)
  - Artifact "ej.tool.addon.test.junit-processor" new version added (v1.6.2)

## 2.4.0 - 2020-02-18

### Features added

  - Artifact "com.microej.pack.fs.fs-testsuite" added (v3.0.0)
  - Artifact "ej.library.iot.access-control" added (v1.0.0)
  - Artifact "ej.library.iot.ssl-util" added (v2.2.0)

### Features Updated

  - Artifact "ej.library.iot.hoka" new version added (v7.1.0)

## 2.3.0 - 2019-11-27

### Features added

  - Artifact "com.microej.kernelapi.basictool" added (v1.1.0)
  - Artifact "com.microej.kernelapi.bon" added (v1.1.1)
  - Artifact "com.microej.kernelapi.connectivity" added (v1.3.0)
  - Artifact "com.microej.kernelapi.ecom" added (v1.0.4)
  - Artifact "com.microej.kernelapi.ecom-comm" added (v1.0.4)
  - Artifact "com.microej.kernelapi.edc" added (v1.0.6)
  - Artifact "com.microej.kernelapi.hal" added (v1.0.6)
  - Artifact "com.microej.kernelapi.kf" added (v2.0.3)
  - Artifact "com.microej.kernelapi.microui" added (v2.1.0)
  - Artifact "com.microej.kernelapi.net" added (v1.2.2)
  - Artifact "com.microej.kernelapi.ssl" added (v1.1.0)

### Features Updated

  - Artifact "ej.api.edc" new version added (v1.3.0)
  - Artifact "ej.api.bon" new version added (v1.4.0)
  - Artifact "ej.api.microui" new version added (v2.4.0)
  - Artifact "ej.api.ssl" new version added (v2.2.0)
  - Artifact "ej.library.util.firmwareupdate" new version added (v1.1.0)

## 2.2.1 - 2019-10-31

### Features Updated

  - Artifact "com.microej.library.profiling" new version added (v0.6.0)
  - Artifact "ej.library.eclasspath.formatter" new version added (v2.2.0)
  - Artifact "ej.library.eclasspath.math" new version added (v1.2.0)
  - Artifact "ej.library.iot.net-util" new version added (v1.3.0)
  - Artifact "ej.library.iot.sntpclient" new version added (v1.1.4)
  - Artifact "ej.library.runtime.basictool" new version added (v1.3.0)
  - Artifact "ej.library.wadapps.framework" new version added (v1.11.0)
  - Artifact "ej.tool.addon.wadapps.framework-processor" new version added (v1.11.0)
  - Artifact "ej.tool.frontpanel.widget" new version added (v1.0.1)

## 2.2.0 - 2019-09-17

### Features added

  - Artifact "ej.api.audio" added (v0.9.1)
  - Artifact "ej.api.gnss" added (v0.9.1)
  - Artifact "ej.api.trace" added (v1.0.0)
  - Artifact "ej.library.iot.basedriver.basedriver-api" added (v1.1.0)
  - Artifact "ej.library.iot.basedriver.basedriver-event" added (v1.1.0)
  - Artifact "ej.library.iot.basedriver.basedriver-framework" added (v1.1.0)
  - Artifact "ej.library.iot.basedriver.basedriver-util" added (v1.1.0)
  - Artifact "ej.library.iot.basedriver.zwave" added (v1.2.0)

### Features Updated

  - Artifact "com.microej.library.profiling" new version added (v0.6.0)
  - Artifact "ej.library.iot.net-util" new version added (v1.2.0)
  - Artifact "ej.library.iot.wifi-util" new version added (v2.1.0)
  - Artifact "ej.library.iot.mwt" new version added (v2.3.1)

## 2.1.0 - 2019-08-19

### Features added

  - Artifact "com.microej.demo.headless.thermorest" added (v1.0.0)
  - Artifact "com.microej.example.wifi.setup" added (v1.0.0)
  - Artifact "com.microej.example.wifi.setup-rest" added (v1.0.0)
  - Artifact "com.microej.example.wifi.setup-web" added (v1.0.0)
  - Artifact "ej.api.bluetooth" added ( 1.0.1)
  - Artifact "ej.tool.frontpanel.framework" added (v1.0.0)
  - Artifact "ej.tool.frontpanel.widget" added (v1.0.0)
  - Artifact "ej.tool.frontpanel.widget-microui" added (v1.0.0)
  - Artifact "ej.library.iot.bluetooth-util" added (v0.1.0)

### Features Updated

  - Artifact "ej.library.ui.widget" new version added (v2.4.1)
  - Artifact "ej.library.iot.wifi-util" new version added (v2.0.0)

## 2.0.1 - 2019-04-03

### Features Updated

  - Artifact "googlecloud.iotcore.gcp-iotcore-client" new version added (v1.2.2)
  - Artifact "googlecloud.iotcore.gcp-iotcore-service" new version added (v1.0.1)

## 2.0.0 - 2019-03-29

### Features Updated (with MicroEJ Module Manager compliance)

  - Artifact "com.google.protobuf" new version added (v2.6.0)
  - Artifact "com.microej.kernelapi.microui" new version added (v2.1.0)
  - Artifact "com.microej.library.profiling" new version added (v0.5.0)
  - Artifact "com.microej.library.runtime.nls-po" new version added (v2.2.0))
  - Artifact "com.microej.library.wadapps.metadata-provider" new version added (v1.1.1)
  - Artifact "com.microej.tool.addon.runtime.nls-po-processor" new version added (v2.2.0)
  - Artifact "ej.api.microui" new version added (v2.2.0)
  - Artifact "ej.api.microui" new version added (v2.3.0)
  - Artifact "ej.api.net" new version added (v1.1.1)
  - Artifact "ej.api.security" new version added (v1.2.1)
  - Artifact "ej.api.security" new version added (v1.3.1)
  - Artifact "ej.api.sni" new version added (v1.3.1)
  - Artifact "ej.library.eclasspath.base64" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.biginteger" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.bitset" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.bytebuffer" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.collections" new version added (v1.3.0)
  - Artifact "ej.library.eclasspath.executor" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.formatter" new version added (v2.1.0)
  - Artifact "ej.library.eclasspath.httpclient" new version added (v1.3.0)
  - Artifact "ej.library.eclasspath.httpsclient" new version added (v1.2.0)
  - Artifact "ej.library.eclasspath.io" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.logging" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.math" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.properties" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.stringtokenizer" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.uri" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.url" new version added (v1.1.0)
  - Artifact "ej.library.eclasspath.urlutil" new version added (v1.1.0)
  - Artifact "ej.library.iot.aws.aws-iot" new version added (v1.2.0)
  - Artifact "ej.library.iot.basedriver.zwave" new version added (v1.1.0)
  - Artifact "ej.library.iot.cbor" new version added (v1.1.0)
  - Artifact "ej.library.iot.connectivity" new version added (v2.1.0)
  - Artifact "ej.library.iot.data.cbor" new version added (v1.2.0)
  - Artifact "ej.library.iot.data.json" new version added (v1.2.0)
  - Artifact "ej.library.iot.data.pubsub-api" new version added (v1.2.0)
  - Artifact "ej.library.iot.data.pubsub-paho" new version added (v1.1.0)
  - Artifact "ej.library.iot.hoka" new version added (v5.1.0)
  - Artifact "ej.library.iot.net-util" new version added (v1.1.0)
  - Artifact "ej.library.iot.restclient" new version added (v1.1.0)
  - Artifact "ej.library.iot.restserver" new version added (v4.1.0)
  - Artifact "ej.library.iot.websocket" new version added (v1.1.0)
  - Artifact "ej.library.iot.websocket-secure" new version added (v1.1.0)
  - Artifact "ej.library.iot.wifi-util" new version added (v1.1.0)
  - Artifact "ej.library.runtime.components" new version added (v3.3.0)
  - Artifact "ej.library.runtime.message" new version added (v2.1.0)
  - Artifact "ej.library.runtime.property-loader" new version added (v3.1.0)
  - Artifact "ej.library.test.junit" new version added (v1.5.0)
  - Artifact "ej.library.ui.automaton" new version added (v3.1.0)
  - Artifact "ej.library.ui.events-watcher" new version added (v2.1.0)
  - Artifact "ej.library.ui.mwt" new version added (v2.3.0)
  - Artifact "ej.library.ui.watchdog" new version added (v2.1.0)
  - Artifact "ej.library.ui.widget" new version added (v2.4.0)
  - Artifact "ej.library.util.dateformat" new version added (v1.1.0)
  - Artifact "ej.library.util.exit" new version added (v1.2.0)
  - Artifact "ej.library.util.map" new version added (v1.1.0)
  - Artifact "ej.library.wadapps.admin.standalone" new version added (v1.3.10)
  - Artifact "ej.library.wadapps.framework" new version added (v1.10.0)
  - Artifact "ej.tool.addon.test.junit-processor" new version added (v1.5.0)
  - Artifact "org.eclipse.paho.mqttv3-microej" new version added (v1.5.0)
  - Artifact "org.eclipse.paho.mqttv3-ssl-microej" new version added (v3.2.0)
  - Artifact "org.json.me.json" new version added (v1.3.0)

### Features Added

  - Artifact "com.microej.googlecloud.iot.device-service" added (1.0.0)
  - Artifact "com.microej.tool.addon.wadapps.framework-processor" added (v1.10.0)
  - Artifact "ej.library.iot.android-connectivity" added (v1.2.0)
  - Artifact "ej.library.util.concurrent-executor" added (v1.2.0)
  - Artifact "googlecloud.iotcore.gcp-iotcore-client" added (v1.2.1)
  - Artifact "googlecloud.iotcore.gcp-iotcore-service" added (v1.0.0)

### Features Removed

  - Every old versions of addon libraries
  - Every old patch versions for each minor version of foundation libraries

#### Deprecated libraries:

  - Artifact "ej.library.eclasspath.bufferedstreams" (v1.0.2) use "ej.library.eclasspath.io" (v1.1.0) instead.
  - Artifact "ej.library.eclasspath.collectionsutil" (v1.0.2) use "ej.library.eclasspath.collections" (v1.3.0) instead.
  - Artifact "ej.library.eclasspath.maps" (v1.0.1) use "ej.library.eclasspath.collections" (v1.3.0) instead.
  - Artifact "ej.library.eclasspath.pipedstreams" (v1.0.3) use "ej.library.eclasspath.io" (v1.1.0) instead.
  - Artifact "ej.library.eclasspath.printwriter" (v1.0.3) use "ej.library.eclasspath.io" (v1.1.0) instead.
  - Artifact "ej.library.eclasspath.pushbackstreams" (v1.0.2) use "ej.library.eclasspath.io" (v1.1.0) instead.
  - Artifact "ej.library.eclasspath.queues" (v1.0.2) use "ej.library.eclasspath.collections" (v1.3.0) instead.
  - Artifact "ej.library.eclasspath.sets" (v1.0.1) use "ej.library.eclasspath.collections" (v1.3.0) instead.
  - Artifact "ej.library.eclasspath.socketfactory" (v1.0.0) use "ej.api.net" (v1.1.1) instead.
  - Artifact "ej.library.iot.android.connectivity" (v1.1.0) use "ej.library.iot.android-connectivity" (v1.2.0) instead.
  - Artifact "ej.library.util.concurrent.executor" (v1.1.0) use "ej.library.util.concurrent-executor" (v1.2.0) instead.
  - Artifact "googlecloud.iotcore.pubsub.gcp-iot" (v1.1.0) use "googlecloud.iotcore.gcp-iotcore-client" (v1.2.1) instead.

#### Rcommand (Will be added back in a future release with MicroEJ Module Manager compliance):

  - Artifact "ej.library.iot.rcommand" (v2.8.1)
  - Artifact "ej.library.iot.rcommand-comm" (v1.1.0)
  - Artifact "ej.library.iot.rcommand-connectivity" (v0.2.0)
  - Artifact "ej.library.iot.rcommand-serversocket" (v2.3.2)

#### Base driver (Will be added back in a future release with MicroEJ Module Manager compliance):

  - Artifact "ej.library.iot.basedriver.basedriver-api" (v1.0.1)
  - Artifact "ej.library.iot.basedriver.basedriver-event" (v1.0.1)
  - Artifact "ej.library.iot.basedriver.basedriver-framework" (v1.0.1)
  - Artifact "ej.library.iot.basedriver.basedriver-util" (v1.0.1)
  - Artifact "ej.library.iot.basedriver.zwave" (v1.1.0)

#### ESP (Will be added back in a future release with MicroEJ Module Manager compliance):

  - Artifact "com.microej.api.esp_idf" (1.0.0)
  - Artifact "com.microej.library.util.firmwareupdate-esp_idf)

#### Firmware using Wadapps v1.0.0 :

  - Artifact "com.is2t.tools.application-repository-extension" (v1.0.3)
  - Artifact "com.is2t.tools.firmware-addon-processor" (v1.0.5)
  - Artifact "com.is2t.tools.wadapps-console-comm-extension" (v1.6.0)
  - Artifact "com.is2t.tools.wadapps-console-socket-extension" (v1.9.0)
  - Artifact "com.is2t.tools.wadapps-firmware-customizer-extension" (v1.2.2)
  - Artifact "com.is2t.tools.wadapps-localdeploy-comm-extension" (v1.2.0)
  - Artifact "com.is2t.tools.wadapps-localdeploy-resident-launcher" (v1.1.5)
  - Artifact "com.is2t.tools.wadapps-localdeploy-socket-extension" (v2.5.0)
  - Artifact "com.is2t.tools.wadapps-localdeploy-wpk-comm-extension" (v1.1.0)
  - Artifact "com.is2t.tools.wadapps-localdeploy-wpk-socket-extension" (v1.1.0)
  - Artifact "com.microej.app.wadapps.commandserver-comm" (v1.6.1)
  - Artifact "com.microej.app.wadapps.commandserver-socket" (v1.9.1)
  - Artifact "com.microej.app.wadapps.management" (v3.0.1)
  - Artifact "com.microej.kernelapi.basictool" (v1.0.1)
  - Artifact "com.microej.kernelapi.bon" (v1.1.0)
  - Artifact "com.microej.kernelapi.components" (v1.2.4)
  - Artifact "com.microej.kernelapi.connectivity" (v1.2.1)
  - Artifact "com.microej.kernelapi.ecom" (v1.0.4)
  - Artifact "com.microej.kernelapi.ecom-comm" (v1.0.4)
  - Artifact "com.microej.kernelapi.edc" (v1.0.6)
  - Artifact "com.microej.kernelapi.hal" (v1.0.6)
  - Artifact "com.microej.kernelapi.kf" (v2.0.3)
  - Artifact "com.microej.kernelapi.microui" (v2.1.0)
  - Artifact "com.microej.kernelapi.mwt" (v1.2.2)
  - Artifact "com.microej.kernelapi.net" (v1.2.2)
  - Artifact "com.microej.kernelapi.ssl" (v1.0.6)
  - Artifact "com.microej.kernelapi.wadapps" (v1.4.1)
  - Artifact "com.microej.library.util.kf-util" (2.4.0)
  - Artifact "com.microej.library.util.kf-util-ecom" (1.0.1)
  - Artifact "com.microej.library.security.command-unwrapper-api" (v1.0.1)
  - Artifact "com.microej.library.security.command-unwrapper-no-verify" (v1.0.0)
  - Artifact "com.microej.library.security.command-unwrapper-verifier" (v2.0.0)
  - Artifact "com.microej.library.security.util-der" (v1.0.2)
  - Artifact "com.microej.library.wadapps.admin-kf-common" (v1.1.2)
  - Artifact "com.microej.library.wadapps.admin-kf-default" (v2.2.1)
  - Artifact "com.microej.library.wadapps.admin-kf-storage" (v2.1.1)
  - Artifact "com.microej.library.wadapps.applicationstore-connection-info-common" (v1.0.0)
  - Artifact "com.microej.library.wadapps.bootstrap-microui" (v2.1.0)
  - Artifact "com.microej.library.wadapps.connectivity" (v1.1.0)
  - Artifact "com.microej.library.wadapps.kernel.common-api" (v1.7.1)
  - Artifact "com.microej.library.wadapps.kernel.common-impl" (v4.1.2)
  - Artifact "com.microej.library.wadapps.launcher-util" (v3.2.0)
  - Artifact "com.microej.library.wadapps.management" (v3.0.1)
  - Artifact "com.microej.library.wadapps.metadata-provider" (v1.1.1)
  - Artifact "com.microej.library.wadapps.property-loader" (v2.0.0)
  - Artifact "com.microej.library.wadapps.standalone" (v2.1.0)
  - Artifact "com.microej.library.wadapps.storage-kf" (v1.2.0)
  - Artifact "com.microej.library.wadapps.wadapps-rcommand" (v3.0.0)
  - Artifact "com.microej.library.wadapps.wadapps-rcommand-impl" (v1.0.1)
  - Artifact "ej.library.util.filemanager" (1.1.0)
  - Artifact "ej.library.util.filemanager-fs" (1.2.0)
  - Artifact "ej.library.util.filemanager-ram" (1.1.0)

## 1.10.0 - 2019-02-26

### Features Updated
  - Artifact "ej.library.ui.widget" new version added (v2.3.8)
  - Artifact "googlecloud.iotcore.pubsub.gcp-iot" new version added (v1.1.0)
  - Artifact "com.microej.kernelapi.connectivity" new version added (v1.2.1)

### Features Added

  - Artifact "ej.library.runtime.annotation" added (v1.0.0)
  - Artifact "ej.library.iot.websocket" added (v1.0.0)
  - Artifact "ej.library.iot.websocket-secure" added (v1.0.0)

## 1.9.1 - 2019-01-18

### Features Updated
  - Artifact "org.json.me" new version added (v1.2.1)
  - Artifact "ej.library.iot.aws.aws-iot" new version added (v1.1.1)
  - Artifact "ej.library.iot.restserver" new version added (v4.0.0)
  - Artifact "ej.library.iot.hoka" new version added (v5.0.0)
  - Artifact "ej.library.runtime.basictool" new version added (v1.2.2)
  - Artifact "ej.library.runtime.nls" new version added (v3.0.1)
  - Artifact "ej.library.ui.widget" new version added (v2.3.7)
  - Artifact "com.microej.library.runtime.nls-po" new version added (v2.1.5)
  - Artifact "com.microej.tool.addon.runtime.nls-po-processor" new version added (v1.2.4)
  - Artifact "org.eclipse.paho.mqttv3-microej" new version added (v1.4.2)
  - Artifact "ej.library.ui.mwt" new version added (v2.2.5)
  - Artifact "ej.library.ui.widget" new version added (v2.3.7)

## 1.9.0 - 2018-10-19

/!\ This version of the repository introduces new versions of ej.api.* libraries. In particular the SSL 2.1 and BON 1.3 may lead to build issues. See forum.microej.com for solution.

### Features Updated

  - Artifact "ej.api.bon" new version added (v1.3.0)
  - Artifact "ej.api.kf" new version added (v1.4.4)
  - Artifact "ej.api.ssl" new version added (v2.1.0)
  - Artifact "ej.library.iot.connectivity" new version added (v2.0.0)
  - Artifact "ej.library.iot.android.connectivity" new version added (v1.1.0)
  - Artifact "ej.library.test.junit" new version added (v1.4.2)
  - Artifact "ej.library.ui.mwt" new version added (v2.2.4)
  - Artifact "ej.tool.addon.addon-processor-api" new version added (v1.1.0)
  - Artifact "ej.tool.addon.junit-processor" new version added (v1.4.2)
  - Artifact "com.microej.kernelapi.bon" new version added (v1.1.0)
  - Artifact "com.microej.kernelapi.connectivity" new version added (v1.2.0)
  - Artifact "com.is2t.tools.wadapps-localdeploy-comm-extension" new version added (v1.2.0)
  - Artifact "com.is2t.tools.wadapps-localdeploy-socket-extension" new version added (v2.5.0)
  - Artifact "org.eclipse.paho.mqttv3-microej" new version added (v1.4.1)
  - Artifact "org.eclipse.paho.mqttv3-ssl-microej" new version added (v3.1.0)

### Features Added

  - Artifact "ej.api.ecom-network" added (v2.0.0)
  - Artifact "ej.api.ecom-wifi" added (v2.1.1)
  - Artifact "ej.api.security" added (v1.1.0)
  - Artifact "ej.library.eclasspath.biginteger" added (v1.0.0)
  - Artifact "ej.library.runtime.message" added (v2.0.0)
  - Artifact "ej.library.runtime.nls" added (v3.0.0)
  - Artifact "ej.library.iot.net-util" added (v1.0.0)
  - Artifact "ej.library.iot.wifi-util" added (v1.0.0)
  - Artifact "ej.library.util.firmwareupdate" added (v0.1.0)
  - Artifact "com.microej.api.esp_idf" added (v1.0.0)
  - Artifact "com.microej.library.runtime.nls-po" added (v2.1.2)
  - Artifact "com.microej.library.util.firmwareupdate-esp_idf" added (v1.0.0)
  - Artifact "com.microej.library.wadapps.connectivity" added (v1.1.0)
  - Artifact "com.microej.library.security.command-unwrapper-no-verify" added (v1.0.0)
  - Artifact "com.microej.library.security.command-unwrapper-verifier" added (v2.0.0)
  - Artifact "com.microej.library.security.command-unwrapper-api" added (v1.0.1)
  - Artifact "com.microej.library.security.util-der" added (v1.0.2)
  - Artifact "com.microej.tool.addon.runtime.nls-po-processor" added (v1.2.1)
  - Artifact "com.is2t.tools.wadapps-firmware-customizer-extension" added (v1.2.2)
  - Artifact "com.is2t.tools.wadapps-localdeploy-resident-launcher" added (v1.1.5)

## 1.8.0 - 2018-09-13

### Features Updated

  - Artifact "ej.library.runtime.components" new version added (v3.2.3)
  - Artifact "ej.library.runtime.basictool" new version added (v1.2.0)
  - Artifact "com.microej.library.wadapps.kernel.common-impl" new version added (v4.1.2)
  - Artifact "ej.library.iot.hoka" new version added (v4.1.0)
  - Artifact "com.microej.library.profiling" new version added (v0.4.0)
  - Artifact "ej.library.wadapps.framework" new version added (v1.7.2)
  - Artifact "ej.library.iot.restserver" new version added (v3.1.1)

### Features Added

  - Artifact "ej.library.iot.aws.aws-iot" added (v1.1.0)
  - Artifact "googlecloud.iotcore.pubsub.gcp-iot" added (v1.0.1)
  - Artifact "com.microej.library.signature" added (v1.0.1)
  - Artifact "ej.library.eclasspath.base64" added (v1.0.0)

## 1.7.0 - 2018-05-30

### Features Updated

  - Artifact "ej.library.iot.restserver" new version added (v3.1.0)

### Features Added

  - Artifact "com.microej.library.profiling" added (v0.3.0)

## 1.6.0 - 2018-05-29

### Features Updated

  - Artifact "ej.library.iot.rcommand" new version added (v2.8.1)
  - Artifact "ej.library.ui.mwt" new version added (v2.2.3)
  - Artifact "ej.library.util.filemanager" new version added (v1.1.0)
  - Artifact "ej.library.util.filemanager-fs" new version added (v1.2.0)
  - Artifact "ej.library.util.filemanager-ram" new version added (v1.1.0)
  - Artifact "ej.library.wadapps.framework" new version added (v1.7.1)
  - Artifact "com.microej.library.util.kf-util" new version added (v2.4.0)
  - Artifact "com.microej.library.wadapps.kernel.common-impl" new version added (v4.1.1)
  - Artifact "com.microej.library.wadapps.standalone" new version added (v2.1.0)
  - Artifact "com.microej.library.wadapps.admin-kf-common" new version added (v1.1.2)
  - Artifact "com.microej.library.wadapps.admin-kf-default" new version added (v2.2.1)
  - Artifact "com.microej.library.wadapps.admin-kf-storage" new version added (v2.1.1)
  - Artifact "com.microej.library.wadapps.storage-kf" new version added (v1.2.0)
  - Artifact "com.microej.kernelapi.edc" new version added (v1.0.6)
  - Artifact "com.microej.kernelapi.kf" new version added (v2.0.3)
  - Artifact "com.microej.kernelapi.components" new version added (v1.2.4)
  - Artifact "com.microej.kernelapi.wadapps" new version added (v1.4.1)
  - Artifact "com.microej.kernelapi.basictool" new version added (v1.0.1)
  - Artifact "com.microej.kernelapi.ecom" new version added (v1.0.4)
  - Artifact "com.microej.kernelapi.ecom-comm" new version added (v1.0.4)
  - Artifact "com.microej.kernelapi.net" new version added (v1.2.2)
  - Artifact "com.microej.kernelapi.connectivity" new version added (v1.1.2)
  - Artifact "com.microej.kernelapi.ssl" new version added (v1.0.6)
  - Artifact "com.microej.app.wadapps.commandserver-comm" new version added (v1.6.1)
  - Artifact "com.microej.app.wadapps.commandserver-socket" new version added (v1.9.1)
  - Artifact "com.microej.library.wadapps.launcher-util" new version added (v3.2.0)
  - Artifact "com.microej.library.wadapps.wadapps-rcommand" new version added (v3.0.0)
  - Artifact "com.microej.library.wadapps.wadapps-rcommand-impl" new version added (v1.0.1)
  - Artifact "com.is2t.tools.wadapps-console-comm-extension" new version added (v1.6.0)
  - Artifact "com.is2t.tools.wadapps-localdeploy-comm-extension" new version added (v1.1.0)
  - Artifact "com.is2t.tools.wadapps-console-socket-extension" new version added (v1.9.0)
  - Artifact "com.is2t.tools.wadapps-localdeploy-socket-extension" new version added (v2.4.0)
  - Artifact "com.is2t.tools.firmware-addon-processor" new version added (v1.0.5)

### Features Added

  - Artifact "com.microej.library.security.util-der" added (v1.0.2)
  - Artifact "com.microej.library.security.command-unwrapper-api" added (v1.0.1)
  - Artifact "com.microej.library.security.command-unwrapper-no-verify" added (v1.0.0)

## 1.5.4 - 2018-02-21

### Features Updated

  - Artifact "ej.library.ui.widget" new version added (v2.3.5)

### Features Added

  - Artifact "ej.library.util.dateformat" added (v1.0.0)
  - Artifact "ej.library.iot.hoka" added (v4.0.0)
  - Artifact "ej.library.iot.restserver" added (v3.0.0)

## 1.5.3 - 2017-12-05

Update of the MicroEJ 4.1 repository with fixes requires to get the minimal firmware example (Net version) to work properly.

### Features Updated

  - Artifact "com.microej.app.wadapps.commandserver-socket" new version added (v1.8.1)
  - Artifact "ej.library.iot.connectivity" new version added (v1.3.1)

## 1.5.2 - 2017-11-10

### Features Updated

  - Artifact "ej.library.ui.widget" new version added (v2.3.2)

## 1.5.1 - 2017-11-02

Update of the MicroEJ 4.1 repository with the basictool kernel API, required by Widgets 2.3.
This artifact was missing since version 1.5.0.
Minor update on an artifact that was logging too much.

### Features Updated

  - Artifact "com.microej.app.wadapps.management" new version added (v3.0.1)
  - Artifact "com.microej.library.wadapps.management" new version added (v3.0.1)

### Features Added

  - Artifact "com.microej.kernelapi.basictool" added (v1.0.0)

## 1.5.0 - 2017-10-23

Update of the MicroEJ 4.1 repository with bug fixes and performance fixes.

Shared Properties where also added as part of framework 1.5.0 and dependencies.

A helper library to write launcher apps as also been introduced.

### Features Added

  - Artifact "com.microej.library.wadapps.admin-kf-common" added (v1.0.1)
  - Artifact "com.microej.library.wadapps.launcher-util" added (v3.0.0)
  - Artifact "com.microej.library.wadapps.property-loader" added (v2.0.0)
  - Artifact "ej.library.eclasspath.formatter" added (v2.0.0)
  - Artifact "ej.library.eclasspath.math" added (v1.0.0)
  - Artifact "ej.library.iot.sntpclient" new version added (v1.1.1)
  - Artifact "ej.library.runtime.property-loader" added (v3.0.1)
  - Artifact "ej.library.runtime.basictool" added (v1.0.0)
  - Artifact "ej.library.ui.automaton" added (v3.0.0)
  - Artifact "ej.library.ui.events-watcher" added (v2.0.1)
  - Artifact "ej.library.ui.watchdog" added (v2.0.0)

### Features Updated

  - Artifact "com.is2t.tools.wadapps-console-comm-extension" new version added (v1.5.0)
  - Artifact "com.is2t.tools.wadapps-console-socket-extension" new version added (v1.8.0)
  - Artifact "com.microej.app.wadapps.commandserver-comm" new version added (v1.5.0)
  - Artifact "com.microej.app.wadapps.commandserver-socket" new version added (v1.8.0)
  - Artifact "com.microej.app.wadapps.management" new version added (v3.0.0)
  - Artifact "com.microej.kernelapi.bon" new version added (v1.0.5)
  - Artifact "com.microej.kernelapi.components" new version added (v1.2.3)
  - Artifact "com.microej.kernelapi.connectivity" new version added (v1.1.1)
  - Artifact "com.microej.kernelapi.ecom" new version added (v1.0.3)
  - Artifact "com.microej.kernelapi.ecom-comm" new version added (v1.0.3)
  - Artifact "com.microej.kernelapi.edc" new version added (v1.0.5)
  - Artifact "com.microej.kernelapi.hal" new version added (v1.0.5)
  - Artifact "com.microej.kernelapi.kf" new version added (v2.0.2)
  - Artifact "com.microej.kernelapi.microui" new version added (v2.0.2)
  - Artifact "com.microej.kernelapi.mwt" new version added (v1.2.2)
  - Artifact "com.microej.kernelapi.net" new version added (v1.2.1)
  - Artifact "com.microej.kernelapi.ssl" new version added (v1.0.5)
  - Artifact "com.microej.kernelapi.wadapps" new version added (v1.3.0)
  - Artifact "com.microej.library.wadapps.kernel.common-api" new version added (v1.7.1)
  - Artifact "com.microej.library.wadapps.kernel.common-impl" new version added (v4.0.0)
  - Artifact "com.microej.library.wadapps.management" new version added (v3.0.0)
  - Artifact "com.microej.library.wadapps.admin-kf-default" new version added (v2.1.1)
  - Artifact "com.microej.library.wadapps.admin-kf-storage" new version added (v2.0.2)
  - Artifact "com.microej.library.wadapps.wadapps-rcommand" new version added (v2.3.0)
  - Artifact "ej.api.nls" new version added (v2.0.3)
  - Artifact "ej.library.iot.basedriver.zwave" new version added (v1.0.3)
  - Artifact "ej.library.iot.connectivity" new version added (v1.3.0)
  - Artifact "ej.library.iot.data.data-common" new version added (v1.1.1)
  - Artifact "ej.library.iot.rcommand" new version added (v2.7.1)
  - Artifact "ej.library.ui.motion" new version added (v3.1.1)
  - Artifact "ej.library.ui.widget" new version added (v2.3.1)
  - Artifact "ej.library.wadapps.framework" new version added (v1.5.0)
  - Artifact "org.eclipse.paho.mqttv3-microej" new version added (v1.3.3)

## 1.4.0 - 2017-08-16

Update of the MicroEJ 4.1 repository with the artifacts required to build a multi-application firmware.

### Features Added

  - Artifact "ej.library.eclasspath.io" added (v1.0.1)

### Features Updated

  - Artifact "ej.library.eclasspath.bufferedstreams" new version added (v1.0.2)
  - Artifact "ej.library.eclasspath.collections" new version added (v1.2.0)
  - Artifact "ej.library.eclasspath.collectionsutil" new version added (v1.0.2)
  - Artifact "ej.library.eclasspath.lists" new version added (v1.0.2)
  - Artifact "ej.library.eclasspath.maps" new version added (v1.0.1)
  - Artifact "ej.library.eclasspath.pipedstreams" new version added (v1.0.3)
  - Artifact "ej.library.eclasspath.printwriter" new version added (v1.0.3)
  - Artifact "ej.library.iot.rcommand" new version added (v2.5.0)
  - Artifact "ej.library.iot.rcommand-serversocket" new version added (v2.3.2)
  - Artifact "ej.library.ui.mwt" new version added (v2.2.2)
  - Artifact "ej.tool.addon.test.junit-processor" new version added (v1.2.1)
  - Artifact "com.microej.app.wadapps.commandserver-comm" new version added (v1.4.6)
  - Artifact "com.microej.app.wadapps.commandserver-socket" new version added (v1.7.6)
  - Artifact "com.microej.library.wadapps.wadapps-rcommand" new version added (v2.1.7)
  - Artifact "com.is2t.tools.wadapps-console-comm-extension" added (v1.3.0)
  - Artifact "com.is2t.tools.wadapps-localdeploy-wpk-comm-extension" added (v1.1.0)
  - Artifact "com.is2t.tools.wadapps-console-socket-extension" added (v1.6.0)
  - Artifact "com.is2t.tools.wadapps-localdeploy-wpk-socket-extension" added (v1.1.0)
  - Artifact "com.is2t.tools.firmware-addon-processor" added (v1.0.4)

## 1.3.0 - 2017-05-23

Fix wrong repository build (previous versions of updated artifacts were not kept).

## 1.2.0 - 2017-05-22

Fix repository in order to make the `firmware-multiapp` build type template to compile without errors.

### Features Added

  - Artifact "com.microej.library.wadapps.admin-kf-default" added (v1.2.5)

## 1.1.0 - 2017-05-22

Update of the MicroEJ 4.1 repository with the artifacts required to build a multi-application firmware.

### Features Added

  - Artifact "ej.library.iot.rcommand" added (v2.3.2)
  - Artifact "ej.library.iot.rcommand-comm" added (v1.1.0)
  - Artifact "ej.library.iot.rcommand-connectivity" added (v0.2.0)
  - Artifact "ej.library.iot.rcommand-serversocket" added (v2.3.0)
  - Artifact "ej.library.util.filemanager" added (v1.0.3)
  - Artifact "ej.library.util.filemanager-fs" added (v1.1.4)
  - Artifact "ej.library.util.filemanager-ram" added (v1.0.6)
  - Artifact "com.microej.library.util.kf-util" added (v2.0.1)
  - Artifact "com.microej.library.util.kf-util-ecom" added (v1.0.1)
  - Artifact "com.microej.library.wadapps.kernel.common-api" added (v1.5.0)
  - Artifact "com.microej.library.wadapps.kernel.common-impl" added (v4.0.0)
  - Artifact "com.microej.library.wadapps.bootstrap-microui" added (v2.1.0)
  - Artifact "com.microej.library.wadapps.management" added (v2.1.5)
  - Artifact "com.microej.library.wadapps.standalone" added (v2.0.1)
  - Artifact "com.microej.library.wadapps.admin-kf-default" added (v2.0.0)
  - Artifact "com.microej.library.wadapps.admin-kf-storage" added (v2.0.0)
  - Artifact "com.microej.library.wadapps.storage-kf" added (v1.1.3)
  - Artifact "com.microej.kernelapi.bon" added (v1.0.4)
  - Artifact "com.microej.kernelapi.edc" added (v1.0.4)
  - Artifact "com.microej.kernelapi.kf" added (v2.0.1)
  - Artifact "com.microej.kernelapi.components" added (v1.2.2)
  - Artifact "com.microej.kernelapi.wadapps" added (v1.2.2)
  - Artifact "com.microej.kernelapi.ecom" added (v1.0.2)
  - Artifact "com.microej.kernelapi.ecom-comm" added (v1.0.2)
  - Artifact "com.microej.kernelapi.hal" added (v1.0.4)
  - Artifact "com.microej.kernelapi.microui" added (v2.0.1)
  - Artifact "com.microej.kernelapi.mwt" added (v1.2.1)
  - Artifact "com.microej.kernelapi.net" added (v1.2.0)
  - Artifact "com.microej.kernelapi.connectivity" added (v1.1.0)
  - Artifact "com.microej.kernelapi.ssl" added (v1.0.4)
  - Artifact "com.microej.app.wadapps.management" added (v2.2.6)
  - Artifact "com.microej.app.wadapps.commandserver-comm" added (v1.3.2)
  - Artifact "com.microej.app.wadapps.commandserver-socket" added (v1.6.2)
  - Artifact "com.microej.library.wadapps.wadapps-rcommand" added (v2.0.4)
  - Artifact "ej.library.wadapps.applicationstore-connection-info" added (v1.1.0)
  - Artifact "com.microej.library.wadapps.applicationstore-connection-info-common" added (v1.0.0)
  - Artifact "com.microej.library.wadapps.metadata-provider" added (v1.0.3)
  - Artifact "com.is2t.tools.wadapps-console-comm-extension" added (v1.1.8)
  - Artifact "com.is2t.tools.wadapps-localdeploy-comm-extension" added (v1.0.6)
  - Artifact "com.is2t.tools.wadapps-localdeploy-wpk-comm-extension" added (v1.0.0)
  - Artifact "com.is2t.tools.wadapps-console-socket-extension" added (v1.4.9)
  - Artifact "com.is2t.tools.wadapps-localdeploy-socket-extension" added (v2.3.6)
  - Artifact "com.is2t.tools.wadapps-localdeploy-wpk-socket-extension" added (v1.0.0)
  - Artifact "com.is2t.tools.firmware-addon-processor" added (v1.0.2)
  - Artifact "com.is2t.tools.application-repository-extension" added (v1.0.3)

### Features Updated

  - Artifact "ej.tool.addon.test.junit-processor" new version added (v1.1.4)
  - Artifact "ej.library.iot.connectivity" new version added (v1.2.0)
  - Artifact "ej.library.runtime.components" new version added (v3.2.1)
  - Artifact "ej.library.ui.widget" new version added (v2.2.1)
  - Artifact "ej.library.wadapps.framework" new version added (v1.4.0)

## 1.0.0 - 2017-03-07

Initial MicroEJ 4.1 repository including MicroEJ 4.0 repository v1.6.1.

### Features Added

  - Artifact "ej.library.iot.data.pubsub-api" added (v1.1.0)
  - Artifact "ej.library.iot.data.pubsub-paho" added (v1.0.1)
  - Artifact "ej.library.test.junit" added (v1.1.0)
  - Artifact "ej.library.ui.mwt" added (v2.2.0)

### Features Updated

  - Artifact "ej.api.kf" new version added (v1.4.3)
  - Artifact "ej.api.microui" new version added (v2.0.6)
  - Artifact "ej.api.net" new version added (v1.1.0)
  - Artifact "ej.api.sni" new version added (v1.2.5)
  - Artifact "ej.library.iot.connectivity" new version added (v1.1.1)
  - Artifact "ej.library.iot.data.cbor" new version added (v1.1.0)
  - Artifact "ej.library.iot.data.channel-api" new version added (v1.1.1)
  - Artifact "ej.library.iot.data.data-api" new version added (v1.0.3)
  - Artifact "ej.library.iot.data.data-common" new version added (v1.1.0)
  - Artifact "ej.library.iot.data.json" new version added (v1.1.0)
  - Artifact "ej.library.runtime.components" new version added (v3.2.0)
  - Artifact "ej.library.ui.giml.element-annotations" new version added (v1.1.0)
  - Artifact "ej.library.ui.widget" new version added (v2.2.0)
  - Artifact "ej.library.util.exit" new version added (v1.1.0)
  - Artifact "ej.library.wadapps.admin.standalone" new version added (v1.3.10)
  - Artifact "ej.library.wadapps.framework" new version added (v1.3.0)
  - Artifact "ej.library.wadapps.framework.intern" new version added (v1.2.0)
  - Artifact "ej.library.wadapps.storage.kf" new version added (v1.0.6)


---
_Copyright 2016-2022 MicroEJ Corp. All rights reserved._  
_Use of this source code is governed by a BSD-style license that can be found with this software._  
